%define	ttfontdir_	%{_datadir}/fonts/ja
%define	ttfontdir	%{ttfontdir_}/TrueType

%define fonts		ipa-fonts

Name:		ttfonts-ja
Version:	2.0
Release:	b2
License:	Distributable
Group:		User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Source0:	%{fonts}.tar.bz2

Requires(post,postun): chkfontpath xorg-x11-font-utils fontconfig

Summary: Free Japanese TrueType fonts
%description
This package provides the free Japanese TrueType fonts.

%prep
%setup -q -c

%build
#pushd %{fonts}
#ttindex *.ttf
#popd

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

pushd %{fonts}
install -d $RPM_BUILD_ROOT%{ttfontdir}
#install -m 0644 *.{ttf,tti} $RPM_BUILD_ROOT%{ttfontdir}/
install -m 0644 *.ttf $RPM_BUILD_ROOT%{ttfontdir}/
#install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{ttfontdir}/fonts.alias
popd

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
{
	touch %{ttfontdir} 2> /dev/null && {
		/usr/bin/ttmkfdir -d %{ttfontdir} -o %{ttfontdir}/fonts.scale
		mkfontdir %{ttfontdir}
		/usr/sbin/chkfontpath -q -a %{ttfontdir}
	}
	if [ -x /usr/bin/fc-cache ]; then
		/usr/bin/fc-cache /usr/share/fonts
	fi
}

%postun
{
	if [ "$1" = "0" ]; then
		/usr/sbin/chkfontpath -q -r %{ttfontdir}
		if [ -x /usr/bin/fc-cache ]; then
			/usr/bin/fc-cache /usr/share/fonts
		fi
	fi
}

%files
%defattr(-,root,root)
#%doc %{fonts}/{COPYING,README.ja} %{fonts}/docs
#%dir %{ttfontdir}
#%config %{ttfontdir}/fonts.alias
%{ttfontdir}/*ttf
#%{ttfontdir}/*tti
#%{gslibdir}/CIDFnmap.ja

%changelog
* Mon Nov 1 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
